WDM 4.8.5 Failing To Find Some Devices - Wyse Device Manager - Wyse Software - Dell Community

WDM 4.8.5 Failing To Find Some Devices

WDM 4.8.5 Failing To Find Some Devices

This question has been answered by jwbolt

WDM 4.8.5 Failing To Find Some Devices

I recently replaced my existing WDM 4.7.2 environment with new hardware and OS.

My new WDM environment runs WDM 4.8.5 on W2K8 R2 (64-bit).

While some devices are checking in I'm having trouble finding other existing devices of all different Wyse models (S10's, V10's, 1125, and 1200LE's)

I know there is an HAGENT version requirement for WDM 4.8.5 but terminals that I know meet the minimum reuquirement have not checked in as I would have expected.

I've run some network traces and can see one of the offending terminals having a conversation with my new WDM server but I am seeing an HTTP Error 400 Bad request - Invalid Verb in the trace.

Can anyone shed light on this?

Thanks

Verified Answer
  • These older clients use a PUT verb to start communication which was allowed in IIS6.  IIS7 on Windows 2008 R2 will reject unauthenticated PUT verbs as a security measure.  If you could rewrite the PUT to a GET say with a URL rewrite done using a VIP on an external device you can get them to work.  This rejection is done by http.sys which runs at the kernel level so you will be unable to rewrite the verb on the server itself.  

    Thanks.

All Replies
  • These older clients use a PUT verb to start communication which was allowed in IIS6.  IIS7 on Windows 2008 R2 will reject unauthenticated PUT verbs as a security measure.  If you could rewrite the PUT to a GET say with a URL rewrite done using a VIP on an external device you can get them to work.  This rejection is done by http.sys which runs at the kernel level so you will be unable to rewrite the verb on the server itself.  

    Thanks.